Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.storage.database.stmt
Enum Column

    java.lang.Object
      java.lang.Enum<Column>
          edu.stanford.smi.protege.storage.database.stmt.Column

All Implemented Interfaces:
  Serializable, Comparable<Column>

    public enum Column

extends Enum<Column>

Enum Constant Summary
`facet`
`frame`
`frame_type`
`is_template`
`long_value`
`short_value`
`slot`
`value_index`
`value_type`

Method Summary
`static Column` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Column[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### frame

    public static final Column frame

### frame_type

    public static final Column frame_type

### slot

    public static final Column slot

### facet

    public static final Column facet

### is_template

    public static final Column is_template

### value_index

    public static final Column value_index

### value_type

    public static final Column value_type

### short_value

    public static final Column short_value

### long_value

    public static final Column long_value

Method Detail

### values

    public static final Column[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Column c : Column.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Column valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.